<template>
  <div class="error-page">
    <PageWrapper>
      <template #headerContent>
        <WorkbenchHeader>日志查询</WorkbenchHeader>
      </template>
      <div class="lg:flex">
        <div class="lg:w-3/3  w-full !mr-4 enter-y">
          <Card title="快捷导航">
              <CardGrid>
                <span class="text-md mt-2 truncate">
                  <a-button target="_blank" rel="noopener noreferrer"
                    href="http://172.18.8.56/wmsapi/pda_xcsj_9628/Logs">
                    XCSJ日志
                  </a-button>
                  ：鸿鹄据点日志
                </span>
              </CardGrid>
              <CardGrid>
                <span class="text-md mt-2 truncate">
                  <a-button target="_blank" rel="noopener noreferrer"
                    href="http://172.18.8.56/wmsapi/pda_dgxc_9629/Logs">
                    DGXC日志
                  </a-button>
                  ：东莞据点日志
                </span>
              </CardGrid>
              <CardGrid>
                <span class="text-md mt-2 truncate">
                  <a-button target="_blank" rel="noopener noreferrer"
                    href="http://172.18.8.56/wmsapi/pda_ahxc_9631/Logs">
                    AHXC日志
                  </a-button>
                  ：安徽据点日志
                </span>
              </CardGrid>
              <CardGrid>
                <span class="text-md mt-2 truncate">
                  <a-button target="_blank" rel="noopener noreferrer"
                    href="http://172.18.8.56/wmsapi/Bs_9633/Logs">
                    BS日志
                  </a-button>
                  ：Bs端日志
                </span>
              </CardGrid>
              <CardGrid>
                <span class="text-md mt-2 truncate">
                  <a-button target="_blank" rel="noopener noreferrer"
                    href="http://172.18.8.56/wmsapi/tsk_9635/Logs">
                    定时任务日志
                  </a-button>
                  ：定时T100过账日志
                </span>
              </CardGrid>
              <!-- <CardGrid>
                <span class="text-md mt-2 truncate">
                  <a-button target="_blank" rel="noopener noreferrer"
                    href="http://172.18.8.56/wmsapi_srm">
                    SRM定时任务
                  </a-button>
                  ：SRM日志，旧系统xcsj|ahxc到货单定时过账日志
                </span>
              </CardGrid> -->
              <CardGrid>
                <span class="text-md mt-2 truncate">
                  <a-button target="_blank" rel="noopener noreferrer"
                    href="http://172.18.8.56/wmsapi/interface_9527_9532_9533/Logs">
                    综合接口日志
                  </a-button>
                  ：T100推单到WMS、srm、agv等日志
                </span>
              </CardGrid>
          </Card>
        </div>
      </div>
    </PageWrapper>
    <PasswordModal @register="registerModal" />
  </div>
</template>
<script lang="ts" setup>
import { onMounted, ref, h } from 'vue';
import { PageWrapper } from '/@/components/Page';
import { Card, CardGrid } from 'ant-design-vue';
// import WorkbenchHeader from './components/WorkbenchHeader.vue';
// import VisitAnalysisBar from './components/VisitAnalysisBar.vue';
import { useModal } from '/@/components/Modal';
import { useMessage } from '/@/hooks/web/useMessage';
import { useI18n } from 'vue-i18n';

const loading = ref(true);
const { createConfirm } = useMessage();
const { t } = useI18n();
const [registerModal, { openModal }] = useModal();
const activeKey = ref('tab1');

</script>
